package it.polimi.deib.se.swing.pizza.model.ui.controller;

import it.polimi.deib.se.swing.pizza.model.PizzaFlour;
import it.polimi.deib.se.swing.pizza.model.PizzaSelectionModel;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

public class FlourSelectionHandler implements ItemListener {
  private final PizzaSelectionModel model;
  private final PizzaFlour flour;

  public FlourSelectionHandler(PizzaSelectionModel model, PizzaFlour flour) {
    this.model = model;
    this.flour = flour;
  }

  @Override
  public void itemStateChanged(ItemEvent e) {

    if (e.getStateChange() == ItemEvent.SELECTED) {
      this.model.setFlour(flour);
    }

  }
}
