package it.polimi.deib.se.swing.pizza.model.ui.controller;

import it.polimi.deib.se.swing.pizza.model.Ingredient;
import it.polimi.deib.se.swing.pizza.model.PizzaSelectionModel;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

public class IngredientsSelectionHandler implements ItemListener {

  private final PizzaSelectionModel model;
  private final Ingredient ingredient;

  public IngredientsSelectionHandler(PizzaSelectionModel model, Ingredient ingredient) {
    this.model = model;
    this.ingredient = ingredient;
  }

  public void itemStateChanged(ItemEvent e) { 
    if (e.getStateChange() == ItemEvent.SELECTED) {
      model.addIngredient(this.ingredient);
    }
    else {
      model.removeIngredient(this.ingredient);
    }
  } 
}
