package it.polimi.deib.se.swing.pizza.model;

public enum Ingredient {
  Pepperoni(150.0),
  Tomato(90.0),
  Mozzarella(300.0),
  Mushroom(40.0),
  Olives(120.0);

  private double calories;

  private Ingredient(double calories) {
    this.calories = calories;
  }

  @Override
  public String toString() {
    return this.name();
  }

  public double getCalories() {
    return this.calories;
  }
}
