package it.polimi.deib.se.swing.pizza.model;

public enum PizzaFlour {
	Normal(270),
	Kamut(230),
	GlutenFree(200);
	
	private double caloriesPer100Grams;
	
	private PizzaFlour(double caloriesPer100Grams) {
		this.caloriesPer100Grams = caloriesPer100Grams;
	}
	
	public double caloriesPer100Grams() {
		return this.caloriesPer100Grams;
	}
	
	public String toString() {
		switch(this) {
		case GlutenFree: return "Gluten Free";
		default: return name();
		}
	}
}
