package it.polimi.deib.se.swing.pizza.model.ui.controller;

import it.polimi.deib.se.swing.pizza.model.PizzaSelectionModel;
import it.polimi.deib.se.swing.pizza.model.PizzaSize;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

public class SizeSelectionHandler implements ItemListener {

  private final PizzaSelectionModel model;
  private final PizzaSize size;

  public SizeSelectionHandler(PizzaSelectionModel model, PizzaSize size) {
    this.model = model;
    this.size = size;
  }

  @Override
  public void itemStateChanged(ItemEvent e) {

    if (e.getStateChange() == ItemEvent.SELECTED) {
      this.model.setSize(size);
    }

  }
}
